## org.eclipse.emf.codegen.ecore.genmodel.presentation
Class GeneratorUIUtil.GeneratorOperation

    java.lang.Object
      org.eclipse.ui.actions.WorkspaceModifyOperation
          org.eclipse.emf.codegen.ecore.genmodel.presentation.GeneratorUIUtil.GeneratorOperation

All Implemented Interfaces:
  IRunnableWithProgress, IThreadListener

Enclosing class:
  GeneratorUIUtil

    public static class GeneratorUIUtil.GeneratorOperation

extends WorkspaceModifyOperation

Field Summary
`protected java.util.List<java.lang.Object[]>` `generatorAndArgumentsList`
`protected java.lang.String` `rootDiagnosticMessage`
`protected Shell` `shell`

Constructor Summary
`GeneratorUIUtil.GeneratorOperation(Shell shell)`
`GeneratorUIUtil.GeneratorOperation(Shell shell, java.util.List<java.lang.Object[]> generatorAndArgumentsList)`

Method Summary
`void` `addGeneratorAndArguments(Generator generator, java.lang.Object object, java.lang.Object projectType, java.lang.String projectTypeName)`
`protected boolean` `canContinue(Diagnostic diagnostic)`
`protected void` `execute(IProgressMonitor progressMonitor)`
`java.lang.String` `getRootDiagnosticMessage()`
`void` `setRootDiagnosticMessage(java.lang.String rootDiagnosticMessage)`

Methods inherited from class org.eclipse.ui.actions.WorkspaceModifyOperation
`getRule, run, threadChange`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shell

    protected Shell shell

### generatorAndArgumentsList

    protected java.util.List<java.lang.Object[]> generatorAndArgumentsList

### rootDiagnosticMessage

    protected java.lang.String rootDiagnosticMessage

Constructor Detail

### GeneratorUIUtil.GeneratorOperation

    public GeneratorUIUtil.GeneratorOperation(Shell shell)

### GeneratorUIUtil.GeneratorOperation

    public GeneratorUIUtil.GeneratorOperation(Shell shell,
                                              java.util.List<java.lang.Object[]> generatorAndArgumentsList)

Method Detail

### setRootDiagnosticMessage

    public void setRootDiagnosticMessage(java.lang.String rootDiagnosticMessage)

### getRootDiagnosticMessage

    public java.lang.String getRootDiagnosticMessage()

### addGeneratorAndArguments

    public void addGeneratorAndArguments(Generator generator,
                                         java.lang.Object object,
                                         java.lang.Object projectType,
                                         java.lang.String projectTypeName)

### execute

    protected void execute(IProgressMonitor progressMonitor)
                    throws CoreException,
                           java.lang.reflect.InvocationTargetException,
                           java.lang.InterruptedException

  Specified by:
    `execute` in class `WorkspaceModifyOperation`
  Throws:
    `CoreException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InterruptedException`

### canContinue

    protected boolean canContinue(Diagnostic diagnostic)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.